Page MenuHomePhabricator

Remove autojump of focus from property field to value field
Closed, ResolvedPublic

Description

Based on the discussion in T172937: Cursor jumping to next field and overlapping of menus, we have decided to remove the autojump of focus from property input field to value input field.

Acceptance Criteria
Given I am adding/editing statement on an entity
When I enter an exact property label in the property field
Then the focus should not automatically jump to the value input field

Technical Todos
The following patches also cover updating browser tests accordingly, which required a change to wdio-wikibase lib. The last patch (wikibase one) can be reviewed for the context of this change first, if needed, but the patches will need to be merged in the given order.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterentity selector: Remove autojump of focus from property field to value field
mediawiki/extensions/WikibaseLexeme : masterSelect suggested property explicitly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2019, 11:48 AM
Envlh claimed this task.Oct 1 2019, 4:49 PM
Envlh added subscribers: Seb35, Envlh.

Started to work on this with @Seb35. I should be able to deliver a merge request on Saturday or Sunday.

Change 541081 had a related patch set uploaded (by Envlh; owner: Envlh):
[mediawiki/extensions/Wikibase@master] entity selector: Remove autojump of focus from property field to value field

https://gerrit.wikimedia.org/r/541081

Some browser tests need fixing after this change (failed CI)

alaa_wmde claimed this task.Oct 7 2019, 8:14 PM

Another patch for review this depends on:

https://github.com/wmde/wdio-wikibase/pull/11

alaa_wmde updated the task description. (Show Details)Oct 7 2019, 8:50 PM

Change 541379 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/WikibaseLexeme@master] [DNM] Select suggested property explicitly

https://gerrit.wikimedia.org/r/541379

alaa_wmde updated the task description. (Show Details)Oct 7 2019, 9:52 PM
alaa_wmde updated the task description. (Show Details)Oct 7 2019, 9:54 PM
alaa_wmde updated the task description. (Show Details)Oct 29 2019, 5:56 PM
alaa_wmde updated the task description. (Show Details)
alaa_wmde updated the task description. (Show Details)Oct 30 2019, 10:31 AM

Change 541379 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Select suggested property explicitly

https://gerrit.wikimedia.org/r/541379

Change 541081 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] entity selector: Remove autojump of focus from property field to value field

https://gerrit.wikimedia.org/r/541081

alaa_wmde updated the task description. (Show Details)Nov 7 2019, 10:33 AM

Woohoo finally this can be tested on beta

alaa_wmde removed alaa_wmde as the assignee of this task.Tue, Nov 12, 2:46 PM

I'll make an announcement for this, to make sure that people currently working with the autojump understand why we did this.
When will it be deployed live?

Should be on Wednesday.